import java.lang.Class;

public class ShapeFactory {

	public static Shape getFactoryShape1(String s) {
		Shape temp = null;
		if (s.equals("Circle"))
			temp = new Circle();
		else if (s.equals("Triangle"))
			temp = new Triangle();
		else if (s.equals("Square"))
			temp = new Square();
		else if (s.equals("Rectangle"))
			temp = new Rectangle();
		return temp;
	}
	
	public static Shape getFactoryShape2(String s) {
		Shape temp = null;
		try {
			temp = (Shape) Class.forName(s).getDeclaredConstructor().newInstance();
		} catch (Exception e) {}
		return temp;
	}

	public static void main(String[] args) {
		Shape a = getFactoryShape1("Square");
		Shape b = getFactoryShape2("Circle");
		System.out.println(
			a.getClass().getName() + " and " +
			b.getClass().getName()
		);
	}

}
