import java.awt.*;
import java.util.*;
import javax.swing.*;

public class UIcase {

	public static void main(String[] args) {

		ArrayList<Object> UIelements = new ArrayList<Object>();

		UIelements.add(new Circle());
		UIelements.add(new Square());
		UIelements.add(new Triangle());
		UIelements.add(new Rectangle());
		UIelements.add(new JButton());
		UIelements.add(new JLabel());
		UIelements.add(new JTextField());
		
		for (Object elem : UIelements) {
			try {
				
				// We can use the setBackground even when both Shape and JComponent objects
				// are not related (the lowest common ancestor is the Object class)...
				elem.getClass().getMethod("setBackground", Color.class).invoke(elem, Color.RED);
				
				System.out.println("Setting background color of " + elem.getClass() + " to RED");
				
			} catch (Exception e) {
				System.out.println(e);
			}
		}
	}

}
